<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# ropper
<small style="color: lightgray;">(only in GDB)</small>

```text
usage: ropper [-h] [argument ...]

```

ROP gadget search with ropper.
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|argument|Arguments to pass to ropper|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|

### Examples
```text
pwndbg> ropper -- --console
[INFO] Load gadgets from cache
[LOAD] loading... 100%
[LOAD] removing double gadgets... 100%
(bash/ELF/x86_64)>
----
pwndbg> ropper -- --search 'pop rdi; ret;'
[INFO] Load gadgets from cache
[LOAD] loading... 100%
[LOAD] removing double gadgets... 100%
[INFO] Searching for gadgets: pop rdi; ret;

[INFO] File: /usr/bin/bash
0x000000000001ee23: pop rdi; ret;
```

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
